Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Kent Fredric" <kentfredric@...>
Subject: proj/perl-overlay:master commit in: dev-perl/DateTime-TimeZone-Tzfile/
Date: Tue, 27 Mar 2012 09:30:31 +0000 (UTC)
commit:     37b288076d9f977fa08c3737a586ce1e02cbb6d9
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Mar 27 04:45:28 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Mar 27 04:45:28 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=37b28807

[newversion] DateTime-TimeZone-Tzfile-0.7.0

(Portage version: 2.2.0_alpha95/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)

---
 dev-perl/DateTime-TimeZone-Tzfile/ChangeLog        |    8 ++-
 .../DateTime-TimeZone-Tzfile-0.7.0.ebuild          |   70 ++++++++++++++++++++
 2 files changed, 77 insertions(+), 1 deletions(-)

diff --git a/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog b/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog
index cd338b7..8d4b62f 100644
--- a/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog
+++ b/dev-perl/DateTime-TimeZone-Tzfile/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for dev-perl/DateTime-TimeZone-Tzfile
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*DateTime-TimeZone-Tzfile-0.7.0 (27 Mar 2012)
+
+  27 Mar 2012; Kent Fredric <kentfredric@...>
+  +DateTime-TimeZone-Tzfile-0.7.0.ebuild:
+  Version Bump
+
 *DateTime-TimeZone-Tzfile-0.6.0 (08 Dec 2011)
 
   08 Dec 2011; Kent Fredric <kentfredric@...>

diff --git a/dev-perl/DateTime-TimeZone-Tzfile/DateTime-TimeZone-Tzfile-0.7.0.ebuild b/dev-perl/DateTime-TimeZone-Tzfile/DateTime-TimeZone-Tzfile-0.7.0.ebuild
new file mode 100644
index 0000000..133a56b
--- /dev/null
+++ b/dev-perl/DateTime-TimeZone-Tzfile/DateTime-TimeZone-Tzfile-0.7.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ZEFRAM
+MODULE_VERSION=0.007
+inherit perl-module
+
+DESCRIPTION='tzfile (zoneinfo) timezone files'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+	# Module::Build
+	echo virtual/perl-Module-Build
+	# perl 5.006 ( 5.6.0 )
+	echo \>=dev-lang/perl-5.6.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_build() {
+	# Date::ISO8601
+	echo dev-perl/Date-ISO8601
+	# IO::File 1.13 ( 1.130.0 )
+	echo \>=virtual/perl-IO-1.13
+	# Module::Build
+	echo virtual/perl-Module-Build
+	# Test::More
+	echo virtual/perl-Test-Simple
+	# perl 5.006 ( 5.6.0 )
+	echo \>=dev-lang/perl-5.6.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_runtime() {
+	# Carp
+	# echo virtual/perl-Carp
+	# Date::ISO8601
+	echo dev-perl/Date-ISO8601
+	# DateTime::TimeZone::SystemV 0.002 ( 0.2.0 )
+	echo \>=dev-perl/DateTime-TimeZone-SystemV-0.2.0
+	# IO::File 1.13 ( 1.130.0 )
+	echo \>=virtual/perl-IO-1.13
+	# IO::Handle 1.08 ( 1.80.0 )
+	echo \>=virtual/perl-IO-1.08
+	# Params::Classify
+	echo dev-perl/Params-Classify
+	# integer
+	echo dev-lang/perl
+	# perl 5.006 ( 5.6.0 )
+	echo \>=dev-lang/perl-5.6.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_build)
+	$(perl_meta_runtime)
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
proj/perl-overlay:master commit in: dev-perl/DateTime-TimeZone-Tzfile/
Next by thread:
proj/perl-overlay:master commit in: dev-perl/Audio-Extract-PCM/, dev-perl/Audio-Extract-PCM/files/0.04_59/
Previous by date:
proj/perl-overlay:master commit in: dev-perl/Config-MVP/
Next by date:
proj/perl-overlay:master commit in: dev-perl/DateTime-TimeZone-SystemV/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.